/* PageChecker.c generated by valac 0.56.14, the Vala compiler
 * generated from PageChecker.vala, do not modify */

/*
 * Copyright (c) 2017-2019 elementary, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301 USA
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <gtk/gtk.h>
#include <glib-object.h>
#include <adwaita.h>
#include <glib.h>
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>

#define ONBOARDING_PAGE_CHECKER_MIN_OPACITY 0.4
#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define ONBOARDING_TYPE_PAGE_CHECKER (onboarding_page_checker_get_type ())
#define ONBOARDING_PAGE_CHECKER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker))
#define ONBOARDING_PAGE_CHECKER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageCheckerClass))
#define ONBOARDING_IS_PAGE_CHECKER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONBOARDING_TYPE_PAGE_CHECKER))
#define ONBOARDING_IS_PAGE_CHECKER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONBOARDING_TYPE_PAGE_CHECKER))
#define ONBOARDING_PAGE_CHECKER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageCheckerClass))

typedef struct _OnboardingPageChecker OnboardingPageChecker;
typedef struct _OnboardingPageCheckerClass OnboardingPageCheckerClass;
typedef struct _OnboardingPageCheckerPrivate OnboardingPageCheckerPrivate;

#define TYPE_ABSTRACT_ONBOARDING_VIEW (abstract_onboarding_view_get_type ())
#define ABSTRACT_ONBOARDING_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ABSTRACT_ONBOARDING_VIEW, AbstractOnboardingView))
#define ABSTRACT_ONBOARDING_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ABSTRACT_ONBOARDING_VIEW, AbstractOnboardingViewClass))
#define IS_ABSTRACT_ONBOARDING_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ABSTRACT_ONBOARDING_VIEW))
#define IS_ABSTRACT_ONBOARDING_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ABSTRACT_ONBOARDING_VIEW))
#define ABSTRACT_ONBOARDING_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ABSTRACT_ONBOARDING_VIEW, AbstractOnboardingViewClass))

typedef struct _AbstractOnboardingView AbstractOnboardingView;
typedef struct _AbstractOnboardingViewClass AbstractOnboardingViewClass;
enum  {
	ONBOARDING_PAGE_CHECKER_0_PROPERTY,
	ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY,
	ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY,
	ONBOARDING_PAGE_CHECKER_NUM_PROPERTIES
};
static GParamSpec* onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_NUM_PROPERTIES];

struct _OnboardingPageChecker {
	GtkButton parent_instance;
	OnboardingPageCheckerPrivate * priv;
};

struct _OnboardingPageCheckerClass {
	GtkButtonClass parent_class;
};

struct _OnboardingPageCheckerPrivate {
	AdwCarousel* _carousel;
	AbstractOnboardingView* _page;
	gint page_number;
};

static gint OnboardingPageChecker_private_offset;
static gpointer onboarding_page_checker_parent_class = NULL;

VALA_EXTERN GType onboarding_page_checker_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (OnboardingPageChecker, g_object_unref)
VALA_EXTERN GType abstract_onboarding_view_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (AbstractOnboardingView, g_object_unref)
VALA_EXTERN OnboardingPageChecker* onboarding_page_checker_new (AdwCarousel* carousel,
                                                    AbstractOnboardingView* page);
VALA_EXTERN OnboardingPageChecker* onboarding_page_checker_construct (GType object_type,
                                                          AdwCarousel* carousel,
                                                          AbstractOnboardingView* page);
static void onboarding_page_checker_update_opacity (OnboardingPageChecker* self);
VALA_EXTERN AdwCarousel* onboarding_page_checker_get_carousel (OnboardingPageChecker* self);
static void onboarding_page_checker_set_carousel (OnboardingPageChecker* self,
                                           AdwCarousel* value);
VALA_EXTERN AbstractOnboardingView* onboarding_page_checker_get_page (OnboardingPageChecker* self);
static void onboarding_page_checker_set_page (OnboardingPageChecker* self,
                                       AbstractOnboardingView* value);
static GObject * onboarding_page_checker_constructor (GType type,
                                               guint n_construct_properties,
                                               GObjectConstructParam * construct_properties);
VALA_EXTERN const gchar* abstract_onboarding_view_get_title (AbstractOnboardingView* self);
static void _onboarding_page_checker___lambda12_ (OnboardingPageChecker* self);
static void __onboarding_page_checker___lambda12__gtk_button_clicked (GtkButton* _sender,
                                                               gpointer self);
static void _onboarding_page_checker___lambda13_ (OnboardingPageChecker* self);
static void __onboarding_page_checker___lambda13__g_object_notify (GObject* _sender,
                                                            GParamSpec* pspec,
                                                            gpointer self);
static void _onboarding_page_checker___lambda14_ (OnboardingPageChecker* self);
static void __onboarding_page_checker___lambda14__gtk_widget_destroy (GtkWidget* _sender,
                                                               gpointer self);
static void onboarding_page_checker_finalize (GObject * obj);
static GType onboarding_page_checker_get_type_once (void);
static void _vala_onboarding_page_checker_get_property (GObject * object,
                                                 guint property_id,
                                                 GValue * value,
                                                 GParamSpec * pspec);
static void _vala_onboarding_page_checker_set_property (GObject * object,
                                                 guint property_id,
                                                 const GValue * value,
                                                 GParamSpec * pspec);

static inline gpointer
onboarding_page_checker_get_instance_private (OnboardingPageChecker* self)
{
	return G_STRUCT_MEMBER_P (self, OnboardingPageChecker_private_offset);
}

OnboardingPageChecker*
onboarding_page_checker_construct (GType object_type,
                                   AdwCarousel* carousel,
                                   AbstractOnboardingView* page)
{
	OnboardingPageChecker * self = NULL;
#line 30 "../src/PageChecker.vala"
	g_return_val_if_fail (carousel != NULL, NULL);
#line 30 "../src/PageChecker.vala"
	g_return_val_if_fail (page != NULL, NULL);
#line 31 "../src/PageChecker.vala"
	self = (OnboardingPageChecker*) g_object_new (object_type, "carousel", carousel, "page", page, NULL);
#line 30 "../src/PageChecker.vala"
	return self;
#line 153 "PageChecker.c"
}

OnboardingPageChecker*
onboarding_page_checker_new (AdwCarousel* carousel,
                             AbstractOnboardingView* page)
{
#line 30 "../src/PageChecker.vala"
	return onboarding_page_checker_construct (ONBOARDING_TYPE_PAGE_CHECKER, carousel, page);
#line 162 "PageChecker.c"
}

static void
onboarding_page_checker_update_opacity (OnboardingPageChecker* self)
{
	gdouble progress = 0.0;
	AdwCarousel* _tmp0_;
	gdouble _tmp1_;
	gdouble _tmp2_;
#line 34 "../src/PageChecker.vala"
	g_return_if_fail (self != NULL);
#line 35 "../src/PageChecker.vala"
	_tmp0_ = self->priv->_carousel;
#line 35 "../src/PageChecker.vala"
	_tmp1_ = adw_carousel_get_position (_tmp0_);
#line 35 "../src/PageChecker.vala"
	_tmp2_ = _tmp1_;
#line 35 "../src/PageChecker.vala"
	progress = MAX (1 - fabs (_tmp2_ - self->priv->page_number), (gdouble) 0);
#line 37 "../src/PageChecker.vala"
	gtk_widget_set_opacity ((GtkWidget*) self, ONBOARDING_PAGE_CHECKER_MIN_OPACITY + ((1 - ONBOARDING_PAGE_CHECKER_MIN_OPACITY) * progress));
#line 184 "PageChecker.c"
}

AdwCarousel*
onboarding_page_checker_get_carousel (OnboardingPageChecker* self)
{
	AdwCarousel* result;
	AdwCarousel* _tmp0_;
#line 25 "../src/PageChecker.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 25 "../src/PageChecker.vala"
	_tmp0_ = self->priv->_carousel;
#line 25 "../src/PageChecker.vala"
	result = _tmp0_;
#line 25 "../src/PageChecker.vala"
	return result;
#line 200 "PageChecker.c"
}

static void
onboarding_page_checker_set_carousel (OnboardingPageChecker* self,
                                      AdwCarousel* value)
{
	AdwCarousel* old_value;
#line 25 "../src/PageChecker.vala"
	g_return_if_fail (self != NULL);
#line 25 "../src/PageChecker.vala"
	old_value = onboarding_page_checker_get_carousel (self);
#line 25 "../src/PageChecker.vala"
	if (old_value != value) {
#line 25 "../src/PageChecker.vala"
		self->priv->_carousel = value;
#line 25 "../src/PageChecker.vala"
		g_object_notify_by_pspec ((GObject *) self, onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY]);
#line 218 "PageChecker.c"
	}
}

AbstractOnboardingView*
onboarding_page_checker_get_page (OnboardingPageChecker* self)
{
	AbstractOnboardingView* result;
	AbstractOnboardingView* _tmp0_;
#line 26 "../src/PageChecker.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 26 "../src/PageChecker.vala"
	_tmp0_ = self->priv->_page;
#line 26 "../src/PageChecker.vala"
	result = _tmp0_;
#line 26 "../src/PageChecker.vala"
	return result;
#line 235 "PageChecker.c"
}

static void
onboarding_page_checker_set_page (OnboardingPageChecker* self,
                                  AbstractOnboardingView* value)
{
	AbstractOnboardingView* old_value;
#line 26 "../src/PageChecker.vala"
	g_return_if_fail (self != NULL);
#line 26 "../src/PageChecker.vala"
	old_value = onboarding_page_checker_get_page (self);
#line 26 "../src/PageChecker.vala"
	if (old_value != value) {
#line 26 "../src/PageChecker.vala"
		self->priv->_page = value;
#line 26 "../src/PageChecker.vala"
		g_object_notify_by_pspec ((GObject *) self, onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY]);
#line 253 "PageChecker.c"
	}
}

static void
_onboarding_page_checker___lambda12_ (OnboardingPageChecker* self)
{
	AdwCarousel* _tmp0_;
	AbstractOnboardingView* _tmp1_;
#line 54 "../src/PageChecker.vala"
	_tmp0_ = self->priv->_carousel;
#line 54 "../src/PageChecker.vala"
	_tmp1_ = self->priv->_page;
#line 54 "../src/PageChecker.vala"
	adw_carousel_scroll_to (_tmp0_, (GtkWidget*) _tmp1_, TRUE);
#line 268 "PageChecker.c"
}

static void
__onboarding_page_checker___lambda12__gtk_button_clicked (GtkButton* _sender,
                                                          gpointer self)
{
#line 53 "../src/PageChecker.vala"
	_onboarding_page_checker___lambda12_ ((OnboardingPageChecker*) self);
#line 277 "PageChecker.c"
}

static void
_onboarding_page_checker___lambda13_ (OnboardingPageChecker* self)
{
#line 58 "../src/PageChecker.vala"
	onboarding_page_checker_update_opacity (self);
#line 285 "PageChecker.c"
}

static void
__onboarding_page_checker___lambda13__g_object_notify (GObject* _sender,
                                                       GParamSpec* pspec,
                                                       gpointer self)
{
#line 57 "../src/PageChecker.vala"
	_onboarding_page_checker___lambda13_ ((OnboardingPageChecker*) self);
#line 295 "PageChecker.c"
}

static void
_onboarding_page_checker___lambda14_ (OnboardingPageChecker* self)
{
#line 62 "../src/PageChecker.vala"
	g_signal_emit_by_name ((GtkWidget*) self, "destroy");
#line 303 "PageChecker.c"
}

static void
__onboarding_page_checker___lambda14__gtk_widget_destroy (GtkWidget* _sender,
                                                          gpointer self)
{
#line 61 "../src/PageChecker.vala"
	_onboarding_page_checker___lambda14_ ((OnboardingPageChecker*) self);
#line 312 "PageChecker.c"
}

static GObject *
onboarding_page_checker_constructor (GType type,
                                     guint n_construct_properties,
                                     GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	OnboardingPageChecker * self;
	AbstractOnboardingView* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	AdwCarousel* _tmp9_;
	AbstractOnboardingView* _tmp10_;
#line 40 "../src/PageChecker.vala"
	parent_class = G_OBJECT_CLASS (onboarding_page_checker_parent_class);
#line 40 "../src/PageChecker.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 40 "../src/PageChecker.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker);
#line 41 "../src/PageChecker.vala"
	gtk_button_set_icon_name ((GtkButton*) self, "pager-checked-symbolic");
#line 43 "../src/PageChecker.vala"
	_tmp0_ = self->priv->_page;
#line 43 "../src/PageChecker.vala"
	_tmp1_ = abstract_onboarding_view_get_title (_tmp0_);
#line 43 "../src/PageChecker.vala"
	_tmp2_ = _tmp1_;
#line 43 "../src/PageChecker.vala"
	gtk_widget_set_tooltip_text ((GtkWidget*) self, _tmp2_);
#line 344 "PageChecker.c"
	{
		gint item_count = 0;
#line 44 "../src/PageChecker.vala"
		item_count = 0;
#line 349 "PageChecker.c"
		{
			gboolean _tmp3_ = FALSE;
#line 44 "../src/PageChecker.vala"
			_tmp3_ = TRUE;
#line 44 "../src/PageChecker.vala"
			while (TRUE) {
#line 356 "PageChecker.c"
				AdwCarousel* _tmp5_;
				AdwCarousel* _tmp6_;
				GtkWidget* _tmp7_;
				AbstractOnboardingView* _tmp8_;
#line 44 "../src/PageChecker.vala"
				if (!_tmp3_) {
#line 363 "PageChecker.c"
					gint _tmp4_;
#line 44 "../src/PageChecker.vala"
					_tmp4_ = item_count;
#line 44 "../src/PageChecker.vala"
					item_count = _tmp4_ + 1;
#line 369 "PageChecker.c"
				}
#line 44 "../src/PageChecker.vala"
				_tmp3_ = FALSE;
#line 44 "../src/PageChecker.vala"
				_tmp5_ = self->priv->_carousel;
#line 44 "../src/PageChecker.vala"
				if (!(((guint) item_count) < adw_carousel_get_n_pages (_tmp5_))) {
#line 44 "../src/PageChecker.vala"
					break;
#line 379 "PageChecker.c"
				}
#line 45 "../src/PageChecker.vala"
				_tmp6_ = self->priv->_carousel;
#line 45 "../src/PageChecker.vala"
				_tmp7_ = adw_carousel_get_nth_page (_tmp6_, (guint) item_count);
#line 45 "../src/PageChecker.vala"
				_tmp8_ = self->priv->_page;
#line 45 "../src/PageChecker.vala"
				if (_tmp7_ == G_TYPE_CHECK_INSTANCE_CAST (_tmp8_, gtk_widget_get_type (), GtkWidget)) {
#line 46 "../src/PageChecker.vala"
					self->priv->page_number = item_count;
#line 47 "../src/PageChecker.vala"
					break;
#line 393 "PageChecker.c"
				}
			}
		}
	}
#line 51 "../src/PageChecker.vala"
	onboarding_page_checker_update_opacity (self);
#line 53 "../src/PageChecker.vala"
	g_signal_connect_object ((GtkButton*) self, "clicked", (GCallback) __onboarding_page_checker___lambda12__gtk_button_clicked, self, 0);
#line 57 "../src/PageChecker.vala"
	_tmp9_ = self->priv->_carousel;
#line 57 "../src/PageChecker.vala"
	g_signal_connect_object ((GObject*) _tmp9_, "notify::position", (GCallback) __onboarding_page_checker___lambda13__g_object_notify, self, 0);
#line 61 "../src/PageChecker.vala"
	_tmp10_ = self->priv->_page;
#line 61 "../src/PageChecker.vala"
	g_signal_connect_object ((GtkWidget*) _tmp10_, "destroy", (GCallback) __onboarding_page_checker___lambda14__gtk_widget_destroy, self, 0);
#line 40 "../src/PageChecker.vala"
	return obj;
#line 412 "PageChecker.c"
}

static void
onboarding_page_checker_class_init (OnboardingPageCheckerClass * klass,
                                    gpointer klass_data)
{
#line 22 "../src/PageChecker.vala"
	onboarding_page_checker_parent_class = g_type_class_peek_parent (klass);
#line 22 "../src/PageChecker.vala"
	g_type_class_adjust_private_offset (klass, &OnboardingPageChecker_private_offset);
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_onboarding_page_checker_get_property;
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_onboarding_page_checker_set_property;
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (klass)->constructor = onboarding_page_checker_constructor;
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (klass)->finalize = onboarding_page_checker_finalize;
#line 22 "../src/PageChecker.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY, onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY] = g_param_spec_object ("carousel", "carousel", "carousel", adw_carousel_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 22 "../src/PageChecker.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY, onboarding_page_checker_properties[ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY] = g_param_spec_object ("page", "page", "page", TYPE_ABSTRACT_ONBOARDING_VIEW, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT_ONLY));
#line 435 "PageChecker.c"
}

static void
onboarding_page_checker_instance_init (OnboardingPageChecker * self,
                                       gpointer klass)
{
#line 22 "../src/PageChecker.vala"
	self->priv = onboarding_page_checker_get_instance_private (self);
#line 444 "PageChecker.c"
}

static void
onboarding_page_checker_finalize (GObject * obj)
{
	OnboardingPageChecker * self;
#line 22 "../src/PageChecker.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker);
#line 22 "../src/PageChecker.vala"
	G_OBJECT_CLASS (onboarding_page_checker_parent_class)->finalize (obj);
#line 455 "PageChecker.c"
}

 G_GNUC_NO_INLINE static GType
onboarding_page_checker_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (OnboardingPageCheckerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) onboarding_page_checker_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnboardingPageChecker), 0, (GInstanceInitFunc) onboarding_page_checker_instance_init, NULL };
	GType onboarding_page_checker_type_id;
	onboarding_page_checker_type_id = g_type_register_static (gtk_button_get_type (), "OnboardingPageChecker", &g_define_type_info, 0);
	OnboardingPageChecker_private_offset = g_type_add_instance_private (onboarding_page_checker_type_id, sizeof (OnboardingPageCheckerPrivate));
	return onboarding_page_checker_type_id;
}

GType
onboarding_page_checker_get_type (void)
{
	static volatile gsize onboarding_page_checker_type_id__once = 0;
	if (g_once_init_enter (&onboarding_page_checker_type_id__once)) {
		GType onboarding_page_checker_type_id;
		onboarding_page_checker_type_id = onboarding_page_checker_get_type_once ();
		g_once_init_leave (&onboarding_page_checker_type_id__once, onboarding_page_checker_type_id);
	}
	return onboarding_page_checker_type_id__once;
}

static void
_vala_onboarding_page_checker_get_property (GObject * object,
                                            guint property_id,
                                            GValue * value,
                                            GParamSpec * pspec)
{
	OnboardingPageChecker * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker);
#line 22 "../src/PageChecker.vala"
	switch (property_id) {
#line 22 "../src/PageChecker.vala"
		case ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY:
#line 22 "../src/PageChecker.vala"
		g_value_set_object (value, onboarding_page_checker_get_carousel (self));
#line 22 "../src/PageChecker.vala"
		break;
#line 22 "../src/PageChecker.vala"
		case ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY:
#line 22 "../src/PageChecker.vala"
		g_value_set_object (value, onboarding_page_checker_get_page (self));
#line 22 "../src/PageChecker.vala"
		break;
#line 502 "PageChecker.c"
		default:
#line 22 "../src/PageChecker.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/PageChecker.vala"
		break;
#line 508 "PageChecker.c"
	}
}

static void
_vala_onboarding_page_checker_set_property (GObject * object,
                                            guint property_id,
                                            const GValue * value,
                                            GParamSpec * pspec)
{
	OnboardingPageChecker * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, ONBOARDING_TYPE_PAGE_CHECKER, OnboardingPageChecker);
#line 22 "../src/PageChecker.vala"
	switch (property_id) {
#line 22 "../src/PageChecker.vala"
		case ONBOARDING_PAGE_CHECKER_CAROUSEL_PROPERTY:
#line 22 "../src/PageChecker.vala"
		onboarding_page_checker_set_carousel (self, g_value_get_object (value));
#line 22 "../src/PageChecker.vala"
		break;
#line 22 "../src/PageChecker.vala"
		case ONBOARDING_PAGE_CHECKER_PAGE_PROPERTY:
#line 22 "../src/PageChecker.vala"
		onboarding_page_checker_set_page (self, g_value_get_object (value));
#line 22 "../src/PageChecker.vala"
		break;
#line 534 "PageChecker.c"
		default:
#line 22 "../src/PageChecker.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 22 "../src/PageChecker.vala"
		break;
#line 540 "PageChecker.c"
	}
}

